%define name xdelta
%define version 1.1.1
%define release 5mdk

Summary: A binary delta generator
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp://www.xcf.berkeley.edu/pub/xdelta/%{name}-%{version}.tar.bz2
Patch0: xdelta-edsio.patch.bz2
License: GPL
Group: File tools
Prereq: /sbin/install-info
Prefix: %{_prefix}
BuildRoot: /var/tmp/%{name}-%{version}-root
BuildPreReq: glib-devel, zlib-devel

%description 
XDelta is a library interface and application program designed to
compute changes between files.  These changes (deltas) are similar to
the output of the "diff" program in that they may be used to store and
transmit only the changes between files.  However, unlike diff, the
output of XDelta is not expressed in a human-readable format--XDelta
can also also apply these deltas to a copy of the original file(s).
XDelta uses a fast, linear algorithm and performs well on both binary
and text files.  XDelta typically outperforms GNU diff in both time
and generated-delta-size, even for plain text files.  XDelta also
includes a simple implementation of the Rsync algorithm and several
advanced features for implementing RCS-like file-archival with.

%package devel
Summary: Static libraries and header files for development with XDelta
Group: Development/C
PreReq: /sbin/install-info
Requires: %{name}

%description devel
This package contains the static libraries and header files
required to develop applications using Xdelta.

%prep
%setup -q
%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
%configure
make all
cd libedsio 
emacs -batch -q -f batch-byte-compile edsio.el

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{prefix}/share/emacs/site-lisp
make install DESTDIR=$RPM_BUILD_ROOT
install -m 644 libedsio/{edsio.el,edsio.elc} \
	$RPM_BUILD_ROOT/%{prefix}/share/emacs/site-lisp
strip $RPM_BUILD_ROOT/usr/{bin/*,lib/lib*.so.*} || :
bzip2 -9f $RPM_BUILD_ROOT/usr/{info/*,man/man1/*.1}

%post
/sbin/ldconfig
/sbin/install-info /%{_prefix}/info/xdelta.info.bz2 /%{_prefix}/info/dir

%postun -p /sbin/ldconfig

%preun
if [ $1 = 0 ]; then
/sbin/install-info --delete /%{_prefix}/info/xdelta.info.bz2 /%{_prefix}/info/dir
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ANNOUNCE AUTHORS COPYING NEWS README xdelta.magic
%{prefix}/bin/xdelta
%{prefix}/info/*.info.bz2
%attr(755,root,root) %{prefix}/lib/lib*.so.*
%attr(644,root,root) %{prefix}/man/man1/*.1.bz2

%files devel
%defattr(-,root,root)
%attr(755,root,root) %{prefix}/bin/xdelta-config
%attr(755,root,root) %{prefix}/bin/edsio-comp
%{prefix}/include/*
%{prefix}/lib/lib*.a
%{prefix}/lib/lib*.la
%{prefix}/share/aclocal/xdelta.m4
%{prefix}/share/emacs/site-lisp/*

%changelog
* Mon Apr  3 2000 Adam Lebsack <adam@mandrakesoft.com> 1.1.1-5mdk
- Release build.

* Wed Jan 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1.1-4mdk
- Regnerate libtoolize.

* Thu Nov 11 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- rebuilt for Oxygen

* Fri Aug 20 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- fixed edsio-comp script.

* Tue Aug 19 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- First spec file for Mandrake distribution.
